from django.conf.urls import url
from django.contrib.staticfiles.urls import staticfiles_urlpatterns
from rest_framework.urlpatterns import format_suffix_patterns

from core import views



urlpatterns = [
    url(r'^api/student/$', views.StudentApiView.as_view()),
    url(r'^api/submission/$', views.SubmissionApiView.as_view()),
    url(r'^api/feedback/$', views.FeedbackApiView.as_view()),
]

urlpatterns += staticfiles_urlpatterns()
urlpatterns = format_suffix_patterns(urlpatterns, allowed=['json', 'html'])
